# Get application data GET https://app.unleash-instance.example.com/api/admin/metrics/applications/{appName} Returns data about the specified application (`appName`). The data contains information on the name of the application, sdkVersion (which sdk reported these metrics, typically `unleash-client-node:3.4.1` or `unleash-client-java:7.1.0`), as well as data about how to display this application in a list. Reference: https://docs.getunleash.io/api/get-application ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: Get application data version: endpoint_metrics.getApplication paths: /api/admin/metrics/applications/{appName}: get: operationId: get-application summary: Get application data description: >- Returns data about the specified application (`appName`). The data contains information on the name of the application, sdkVersion (which sdk reported these metrics, typically `unleash-client-node:3.4.1` or `unleash-client-java:7.1.0`), as well as data about how to display this application in a list. tags: - - subpackage_metrics parameters: - name: appName in: path required: true schema: type: string - name: Authorization in: header description: Header authentication of the form `undefined ` required: true schema: type: string responses: '200': description: applicationSchema content: application/json: schema: $ref: '#/components/schemas/applicationSchema' '404': description: The requested resource was not found. content: {} components: schemas: applicationUsageSchema: type: object properties: project: type: string description: Name of the project environments: type: array items: type: string description: Which environments have been accessed in this project. required: - project - environments applicationSchema: type: object properties: appName: type: string description: Name of the application sdkVersion: type: string description: >- Which SDK and version the application reporting uses. Typically represented as `:` strategies: type: array items: type: string description: >- Which [strategies](https://docs.getunleash.io/concepts#activation-strategies) the application has loaded. Useful when trying to figure out if your [custom strategy](https://docs.getunleash.io/concepts/activation-strategies#custom-strategies) has been loaded in the SDK description: type: string description: >- Extra information added about the application reporting the metrics. Only present if added via the Unleash Admin interface url: type: string description: >- A link to reference the application reporting the metrics. Could for instance be a GitHub link to the repository of the application color: type: string description: >- The CSS color that is used to color the application's entry in the application list icon: type: string description: >- An URL to an icon file to be used for the applications's entry in the application list usage: type: array items: $ref: '#/components/schemas/applicationUsageSchema' description: The list of projects the application has been using. required: - appName ``` ## SDK Code Examples ```python import requests url = "https://app.unleash-instance.example.com/api/admin/metrics/applications/appName" headers = {"Authorization": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/metrics/applications/appName'; const options = {method: 'GET', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/metrics/applications/appName" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/metrics/applications/appName") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://app.unleash-instance.example.com/api/admin/metrics/applications/appName") .header("Authorization", "") .asString(); ``` ```php request('GET', 'https://app.unleash-instance.example.com/api/admin/metrics/applications/appName', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/metrics/applications/appName"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/metrics/applications/appName")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```